#ifndef SHAREDNOISEMAP__H
#define SHAREDNOISEMAP__H
#include "OnlineCalibration/SharedData.h"
#include "OnlineCalibration/BufferManager.h"
#include "OnlineCalibration/HitMap.h"

namespace novaddt{
    namespace calib{
        using FDNoiseBufferManager = BufferManager<FDHitMap,2>;
        using NDNoiseBufferManager = BufferManager<NDHitMap,2>;
        using SharedFDHitMap = SharedData<FDNoiseBufferManager>;
        using SharedNDHitMap = SharedData<NDNoiseBufferManager>;
    }
}

#endif
